%define bootstrap 0
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}

%define api_version	2
%define lib_major	0
%define pkgname 	libgnome
%define lib_name	%mklibname gnome %{api_version} %{lib_major}
%define develname	%mklibname -d gnome %{api_version}

Summary:	GNOME libraries
Name:		%{pkgname}%{api_version}
Version:	2.32.1
Release:	14
Group:		System/Libraries
License:	LGPLv2+
URL:		http://www.gnome.org/
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.bz2
# (fc) 1.116.0-2mdk use Mdk default background
Patch1:		libgnome-background.patch
# (fc) 2.2.0.1-2mdk Ia Ora as default theme
Patch4:		libgnome-defaulttheme.patch
# (fc) 2.19.1-2mdv mark gnome_program_init with sentinel (SUSE)
Patch6:		libgnome-sentinel.patch
# (fc) 2.19.1-2mdv fix va_list usage (SUSE)
Patch7:		libgnome-2.19.1-va_list.patch
# (fc) 2.19.1-2mdv enable sound server and events by default, remove almost default sound events
Patch8:		libgnome-2.19.1-sounds-default.patch
# (fc) 2.24.1-2mdv use www-browser as default browser
Patch9:		libgnome-2.24.1-www-browser.patch
# (fc) 2.28.0-2mdv put back icons in menu and buttons
Patch10:	libgnome-2.28.0-icons.patch
# md glib2.0 >= 2.31.0 g_thread_init
Patch11:	libgnome-2.32.1_g_thread_init.patch

BuildRequires:	intltool >= 0.40.0
BuildRequires:	pkgconfig(gconf-2.0) >= 1.1.11 GConf2
BuildRequires:	pkgconfig(glib-2.0) >= 2.8.0
BuildRequires:	pkgconfig(gmodule-2.0) >= 2.8.0
BuildRequires:	pkgconfig(gnome-vfs-2.0) >= 2.5.3
BuildRequires:	pkgconfig(gobject-2.0) >= 2.0.0
BuildRequires:	pkgconfig(libbonobo-2.0) >= 2.13.0
%if !%bootstrap
BuildRequires:	gtk-doc
BuildRequires:	pkgconfig(libcanberra) >= 0
%endif
BuildRequires:	pkgconfig(popt)

Requires:	%{name}-schemas >= %{version}-%{release}
Requires:	%{lib_name} >= %{version}-%{release}

Provides:	libgnome = %{version}-%{release}

%description
Data files for the GNOME library such as translations.

%package schemas
Summary:	Default configuration for some GNOME software
Group:		%{group}
# needs gconftool-2
Requires:	GConf2
Conflicts:	%{name} < 2.30.0-2

%description schemas
Default configuration for GNOME software

%package -n %{lib_name}
Summary:	Dynamic libraries for GNOME applications
Group:		%{group}

%description -n %{lib_name}
GNOME library contains extra API to let your GNOME applications shine.

%package -n %{develname}
Summary:	Development libraries, include files for GNOME
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Obsoletes:	%{mklibname -d gnome 2 0} < 2.32.1-6

%description -n %{develname}
Static library and headers file
needed in order to develop applications using the GNOME library

%prep
%setup -q -n %{pkgname}-%{version}
%apply_patches

# this is a hack for glib2.0 >= 2.31.0
sed -i -e 's/-DG_DISABLE_DEPRECATED//g' \
    ./libgnome/Makefile.*

%build
%configure2_5x \
	--disable-static \
	--disable-schemas-install \
%if %{bootstrap}
	--enable-canberra=no
%else
	--enable-gtk-doc
%endif

%make

%install
%makeinstall_std

%find_lang %{pkgname}-2.0

%files -f %{pkgname}-2.0.lang
%doc NEWS
%config(noreplace) %{_sysconfdir}/sound/events/*
%{_bindir}/gnome-open
%{_libdir}/bonobo/monikers/*.so
%{_libdir}/bonobo/servers/*
%{_mandir}/man7/*
%{_datadir}/gnome-background-properties/gnome-default.xml
%{_datadir}/pixmaps/backgrounds/gnome/background-default.jpg

%files -n %{lib_name}
%{_libdir}/libgnome-%{api_version}.so.%{lib_major}*

%files -n %{develname}
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/*.so

%files schemas
%{_sysconfdir}/gconf/schemas/desktop_gnome_*.schemas


%changelog

* Sat Oct 28 2017 tremod <negry.m@yandex.ru> 2.32.1-14
- (c427353) Spec cleanUp


